aboutsummaryrefslogtreecommitdiff
path: root/test/performance/odp_pktio_ordered_run.sh
diff options
context:
space:
mode:
authorMatias Elo <matias.elo@nokia.com>2018-04-17 08:45:18 +0300
committerMatias Elo <matias.elo@nokia.com>2018-04-27 13:22:43 +0300
commit06ad81cd20ab9bd4e7b70268f0cf560b2c9899d3 (patch)
treef43971e2a622626588de4597029b8f1722cfdd71 /test/performance/odp_pktio_ordered_run.sh
parent948e842052488c30432003653956fdbc94626a98 (diff)
linux-dpdk: enable running example and performance tests
Use 2MB huge pages to minimize memory footpring when running multiple application instances at the same time. Signed-off-by: Matias Elo <matias.elo@nokia.com>
Diffstat (limited to 'test/performance/odp_pktio_ordered_run.sh')
-rwxr-xr-xtest/performance/odp_pktio_ordered_run.sh11
1 files changed, 7 insertions, 4 deletions
diff --git a/test/performance/odp_pktio_ordered_run.sh b/test/performance/odp_pktio_ordered_run.sh
index d7f238120..a4a7cb347 100755
--- a/test/performance/odp_pktio_ordered_run.sh
+++ b/test/performance/odp_pktio_ordered_run.sh
@@ -11,7 +11,7 @@ TEST_DIR="${TEST_DIR:-$(dirname $0)}"
DURATION=5
LOG=odp_pktio_ordered.log
LOOPS=100000000
-PASS_PPS=5000
+PASS_PPS=350
PCAP_IN=`find . ${TEST_SRC_DIR} $(dirname $0) -name udp64.pcap -print -quit`
PCAP_OUT=/dev/null
@@ -28,11 +28,14 @@ else
STDBUF=
fi
+export ODP_PLATFORM_PARAMS="--no-pci \
+--vdev net_pcap0,rx_pcap=${PCAP_IN},tx_pcap=${PCAP_OUT} \
+--vdev net_pcap1,rx_pcap=${PCAP_IN},tx_pcap=${PCAP_OUT}"
+
$STDBUF ${TEST_DIR}/odp_pktio_ordered${EXEEXT} \
- -i pcap:in=${PCAP_IN}:loops=$LOOPS,pcap:out=${PCAP_OUT} \
+ -i 0,1 \
-t $DURATION | tee $LOG
-
-ret=${PIPESTATUS[0]}
+ret=$?
if [ $ret -ne 0 ]; then
echo "FAIL: no odp_pktio_ordered${EXEEXT}"